Loading...
Searching...
No Matches
UDP
lwIP » Options (lwipopts.h) » Callback-style APIs

## Macros

#define | LWIP_UDP 1
#define | LWIP_UDPLITE 0
#define | UDP_TTL IP_DEFAULT_TTL
#define | LWIP_NETBUF_RECVINFO 0

## Detailed Description

## Macro Definition Documentation

## LWIP_NETBUF_RECVINFO

#define LWIP_NETBUF_RECVINFO 0

LWIP_NETBUF_RECVINFO==1: append destination addr and port to every netbuf.

## LWIP_UDP

#define LWIP_UDP 1

LWIP_UDP==1: Turn on UDP.

## LWIP_UDPLITE

#define LWIP_UDPLITE 0

LWIP_UDPLITE==1: Turn on UDP-Lite. (Requires LWIP_UDP)

## UDP_TTL

#define UDP_TTL IP_DEFAULT_TTL

UDP_TTL: Default Time-To-Live value.